﻿// ver4.6

// デバッグ出力
var DebugWind;
var isDebugOK = false;
//var isDebugOK = true;

// 個別設定窓表示管理クラス（設定結果表示部分、せれくたんオブジェクト）
var clsManageWindow
 = function (hndlBase, hndlWind)
{
  this.onBase = false;        // マウスが項目セル上にあるかどうかフラグ
  this.onWind = false;        // マウスが設定画面のセレクトボックス（以下せれくたん）上にあるかどうかフラグ
  
  this.BaseHndl = hndlBase;   // 設定結果表示部分（手入力が不要の場合はSPANで、必要な場合はINPUTのTYPE=TEXTで）
  this.WindHndl = hndlWind;   // せれくたんオブジェクト

  this.AryValue;              // せれくたんに設定している表示文字の配列
  this.AryLabel;              // せれくたんに設定しているＶａｌｕｅの配列

/* 関数一覧
  せれくたんの内容を表示文字のみで設定（設定内容の配列）
  SetSelectBox(aryLabel)
  
  せれくたんの内容を値と表示文字で設定（設定内容の配列　値、文字）
  this.SetSelectBoxEX(aryValue, aryLabel)
  
  テーブルセルにマウスが乗った場合／外れた場合（ｔｒｕｅ／ｆａｌｓｅ）
  BaseChangeStateOnMouse(blOnmouseState)
  
  せれくたんにマウスが乗った場合／外れた場合（ｔｒｕｅ／ｆａｌｓｅ）
  WindChangeStateOnMouse(blOnmouseState)
  
  テーブルセルかせれくたんのどちらかにマウスが乗っていればせれくたんは表示、どっちからも外れているなら、せれくたんは非表示で
  WindChangeViewState()
  
  せれくたんから選択されたＶＡＬＵＥ値を取得（今のところは連想配列を使用することにしたので、不要な値だけどね
  getSelectedValue()
  
  せれくたんから選択されたＬＡＢＥＬ（まぁ、表示してる文字ね）を取得
  getSelectedLabel

*/

  // せれくたんの内容を表示文字のみで設定（設定内容の配列）
  this.SetSelectBox
  = function(aryLabel)
    {
      var intSelectBoxHeight = 6;  // せれくたん内の最大表示個数
      if(isDebugOK)
      {
        DebugWind.value += "clsManageWindow.SetSelectBox(aryLabel)[" + aryLabel + "]\n";
      }

      this.WindHndl.selectedIndex = -1;

      // 設定情報が空っぽでしてよ？
      if(aryLabel.length < 1)
      {
        this.WindHndl.options.length = 0;
        this.AryValue = new Array();
        this.AryLabel = new Array();
        return;
      }

      this.AryValue = new Array();
      this.AryLabel = aryLabel.slice(0);

      this.WindHndl.options.length = aryLabel.length;
      if(aryLabel.length > intSelectBoxHeight)
      {
        this.WindHndl.style.height = String(intSelectBoxHeight * 20) + "px";
      }
      else
      {
        this.WindHndl.style.height = String(aryLabel.length * 20) + "px";
      }
      for(var intI = 0; intI < aryLabel.length; intI++)
      {
        this.WindHndl.options[intI].value = intI;
        this.WindHndl.options[intI].label = aryLabel[intI];
      }
    }

  // せれくたんの内容を値と表示文字で設定（設定内容の配列　値、文字）
  this.SetSelectBoxEX
  = function(aryValue, aryLabel)
    {
      if(isDebugOK)
      {
        DebugWind.value += "clsManageWindow.SetSelectBoxEX(aryValue, aryLabel)[" + aryValue + "][" + aryLabel + "]\n";
      }

      this.WindHndl.selectedIndex = -1;

      // 設定情報が空っぽでしてよ？
      if( (aryValue.length < 1) || (aryLabel.length < 1) )
      {
        this.WindHndl.options.length = 0;
        this.AryValue = new Array();
        this.AryLabel = new Array();
        return;
      }

      this.AryValue = aryValue.slice(0);
      this.AryLabel = aryLabel.slice(0);

      this.WindHndl.options.length = aryLabel.length;
      for(var intI = 0; intI < aryValue.length; intI++)
      {
        this.WindHndl.options[intI].value = aryValue[intI];
        this.WindHndl.options[intI].label = aryLabel[intI];
      }
    }


  // テーブルセルにマウスが乗った場合／外れた場合（ｔｒｕｅ／ｆａｌｓｅ）
  this.BaseChangeStateOnMouse
  = function(blOnmouseState)
    {
      this.onBase = blOnmouseState;
      this.WindChangeViewState();
    }

  // せれくたんにマウスが乗った場合／外れた場合（ｔｒｕｅ／ｆａｌｓｅ）
  this.WindChangeStateOnMouse
  = function(blOnmouseState)
    {
      this.onWind = blOnmouseState;
      this.WindChangeViewState();
    }

  // テーブルセルかせれくたんのどちらかにマウスが乗っていればせれくたんは表示、どっちからも外れているなら、せれくたんは非表示で
  this.WindChangeViewState
  = function()
    {
      if(this.onWind || this.onBase)
      {
        this.WindHndl.style.display = "block";
        this.WindHndl.style.zIndex = "255";
      }
      else
      {
        this.WindHndl.style.display = "none";
        this.WindHndl.style.zIndex = "0";
      }
    }

  // せれくたんから選択されたＶＡＬＵＥ値を取得（今のところは連想配列を使用することにしたので、不要な値だけどね
  this.getSelectedValue
  = function ()
    {
      if(this.WindHndl.selectedIndex > -1)
      {
        return this.WindHndl.options[this.WindHndl.selectedIndex].value;
      }
      else
      {
        return "未選択";
      }
    }

  // せれくたんから選択されたＬＡＢＥＬ（まぁ、表示してる文字ね）を取得
  this.getSelectedLabel
  = function ()
    {
      if(isDebugOK)
      {
        DebugWind.value += "Called getSelectedLabel() this.WindHndl.selectedIndex=" + this.WindHndl.selectedIndex + "\n";
      }

      if(this.WindHndl.selectedIndex > -1)
      {
        return this.WindHndl.options[this.WindHndl.selectedIndex].label;
      }
      else
      {
        return "未選択";
      }
    }

}

// 窓表示全体管理オブジェクト
var clsSettings
 = function ()
{
  // 設定関係
  // 設定格納配列
  this.aryDefines = new Array();
  // 開始時間の設定
  this.aryDefines["slctJikan"] = ["２１：００", "２０：００"];
  // 時間種別の設定
  this.aryDefines["slctJikanShubetu"] = ["同時", "時間差", "１２同時", "特殊"];
  // まっぷの設定
  this.aryDefines["slctSenjou"] = ["河畔・弐", "河畔・参", "草原", "渓谷", "関", "湿地", "荒野"];
  // まっぷごとの向きの設定
  this.aryDefines["河畔・弐"] = ["河畔・弐南西", "河畔・弐北"];
  this.aryDefines["河畔・参"] = ["河畔・参北", "河畔・参南東"];
  this.aryDefines["草原"] = ["草原西", "草原東"];
  this.aryDefines["渓谷"] = ["渓谷東", "渓谷西"];
  this.aryDefines["関"] = ["関東", "関西"];
  this.aryDefines["湿地"] = ["湿地西", "湿地東"];
  this.aryDefines["荒野"] = ["荒野西", "荒野東"];

  // 勢力の設定
  this.aryDefines["slctSeiryoku"] = ["魏", "呉", "蜀"];
  // 勢力ごとの武将の設定
  this.aryDefines["魏"] = ["曹操", "夏侯惇", "張遼", "夏侯淵", "許楮", "徐晃", "司馬懿"];
  this.aryDefines["呉"] = ["孫権", "孫策", "周瑜", "甘寧", "陸遜", "太史慈", "孫尚香"];
  this.aryDefines["蜀"] = ["劉備", "関羽", "張飛", "趙雲", "諸葛亮", "馬超", "黄忠"];


  this.WindSetteings = new Array();  // 設定内容の格納場所
  
  this.Init
    = function()
    {
      // 設定窓などのオブジェクト情報取得ー＞メンバに格納
      this.WindSetteings["slctJikan"] = new clsManageWindow(document.getElementById("ipttxStrJikan"), document.getElementById("slctJikan"));
      this.WindSetteings["slctJikan"].SetSelectBox(this.aryDefines["slctJikan"]);
      this.WindSetteings["slctJikanShubetu"] = new clsManageWindow(document.getElementById("spnJikanShubetu"), document.getElementById("slctJikanShubetu"));
      this.WindSetteings["slctJikanShubetu"].SetSelectBox(this.aryDefines["slctJikanShubetu"]);
      this.WindSetteings["slctSenjouJ1"] = new clsManageWindow(document.getElementById("spnSenjouJ1"), document.getElementById("slctSenjouJ1"));
      this.WindSetteings["slctSenjouJ1"].SetSelectBox(this.aryDefines["slctSenjou"]);
      this.WindSetteings["slctSenjouJ2"] = new clsManageWindow(document.getElementById("spnSenjouJ2"), document.getElementById("slctSenjouJ2"));
      this.WindSetteings["slctSenjouJ2"].SetSelectBox(this.aryDefines["slctSenjou"]);
      this.WindSetteings["slctSenjouJ3"] = new clsManageWindow(document.getElementById("spnSenjouJ3"), document.getElementById("slctSenjouJ3"));
      this.WindSetteings["slctSenjouJ3"].SetSelectBox(this.aryDefines["slctSenjou"]);
      this.WindSetteings["slctSeiryokuS1"] = new clsManageWindow(document.getElementById("spnSeiryokuS1"), document.getElementById("slctSeiryokuS1"));
      this.WindSetteings["slctSeiryokuS1"].SetSelectBox(this.aryDefines["slctSeiryoku"]);
      this.WindSetteings["slctBushouS1J1"] = new clsManageWindow(document.getElementById("spnBushouS1J1"), document.getElementById("slctBushouS1J1"));
      this.WindSetteings["slctBushouS1J2"] = new clsManageWindow(document.getElementById("spnBushouS1J2"), document.getElementById("slctBushouS1J2"));
      this.WindSetteings["slctBushouS1J3"] = new clsManageWindow(document.getElementById("spnBushouS1J3"), document.getElementById("slctBushouS1J3"));
      this.WindSetteings["slctSeiryokuS2"] = new clsManageWindow(document.getElementById("spnSeiryokuS2"), document.getElementById("slctSeiryokuS2"));
      this.WindSetteings["slctBushouS2J1"] = new clsManageWindow(document.getElementById("spnBushouS2J1"), document.getElementById("slctBushouS2J1"));
      this.WindSetteings["slctBushouS2J2"] = new clsManageWindow(document.getElementById("spnBushouS2J2"), document.getElementById("slctBushouS2J2"));
      this.WindSetteings["slctBushouS2J3"] = new clsManageWindow(document.getElementById("spnBushouS2J3"), document.getElementById("slctBushouS2J3"));

    }
}

var objSettings;

// 初期化処理
function onInit()
{
  if(isDebugOK)
  {
    DebugWind = document.getElementById("DebugWind");
    DebugWind.value = "初期化開始\n";
  }
  else
  {
    DebugWind = document.getElementById("DebugWind");
    DebugWind.style.display = "none";
  }

  objSettings = new clsSettings();
  objSettings.Init();

  if(isDebugOK)
  {
    DebugWind.value += "初期化完了\n";
  }
}


// 通常イベントハンドラ
// 表示セルのマウス（上に乗った場合＝true、外れた場合＝false）
function chSateBaseBlock(strWindName, blOnmouseState)
{

  if(isDebugOK)
  {
    //DebugWind.value += "Base State Changed[" + strWindName + "(" + blOnmouseState + ")]\n";
  }
  objSettings.WindSetteings[strWindName].BaseChangeStateOnMouse(blOnmouseState);

}

// 設定画面のマウス（上に乗った場合＝true、外れた場合＝false）
function chStateSettingBlock(strWindName, blOnmouseState)
{

  if(isDebugOK)
  {
    //DebugWind.value += "SettingWindow State Changed[" + strWindName + "(" + blOnmouseState + ")]\n";
  }
  objSettings.WindSetteings[strWindName].WindChangeStateOnMouse(blOnmouseState);

}


// ＨＴＭＬ側のイベントハンドラ

// 開始時間を選択した時
function setStrJikan()
{
  objSettings.WindSetteings["slctJikan"].BaseHndl.value = objSettings.WindSetteings["slctJikan"].getSelectedLabel();
  setResultAll();
}

// 陣ごとの開始時間の種類を選択した時
function setSpnJikanShubetu()
{
  objSettings.WindSetteings["slctJikanShubetu"].BaseHndl.innerText = objSettings.WindSetteings["slctJikanShubetu"].getSelectedLabel();
  setResultAll();
}

// １陣目の戦場を選択した時
function setSlctSenjouJ1()
{
  objSettings.WindSetteings["slctSenjouJ1"].BaseHndl.innerText = objSettings.WindSetteings["slctSenjouJ1"].getSelectedLabel();
  setResultAll();
}

// ２陣目の戦場を選択した時
function setSlctSenjouJ2()
{
  objSettings.WindSetteings["slctSenjouJ2"].BaseHndl.innerText = objSettings.WindSetteings["slctSenjouJ2"].getSelectedLabel();
  setResultAll();
}

// ３陣目の戦場を選択した時
function setSlctSenjouJ3()
{
  objSettings.WindSetteings["slctSenjouJ3"].BaseHndl.innerText = objSettings.WindSetteings["slctSenjouJ3"].getSelectedLabel();
  setResultAll();
}

// 勢力１を選択した時
function setSlctSeiryokuS1()
{
  objSettings.WindSetteings["slctSeiryokuS1"].BaseHndl.innerText = objSettings.WindSetteings["slctSeiryokuS1"].getSelectedLabel();

  objSettings.WindSetteings["slctBushouS1J1"].SetSelectBox(objSettings.aryDefines[objSettings.WindSetteings["slctSeiryokuS1"].getSelectedLabel()]);
  objSettings.WindSetteings["slctBushouS1J2"].SetSelectBox(new Array());
  objSettings.WindSetteings["slctBushouS1J3"].SetSelectBox(new Array());

  objSettings.WindSetteings["slctBushouS1J1"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS1J2"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS1J3"].BaseHndl.innerText = " ";


  var aryTmp = objSettings.WindSetteings["slctSeiryokuS1"].AryLabel.slice(0);
  aryTmp.splice(objSettings.WindSetteings["slctSeiryokuS1"].WindHndl.selectedIndex, 1);
  objSettings.WindSetteings["slctSeiryokuS2"].SetSelectBox(aryTmp);

  objSettings.WindSetteings["slctBushouS2J1"].SetSelectBox(new Array());
  objSettings.WindSetteings["slctBushouS2J2"].SetSelectBox(new Array());
  objSettings.WindSetteings["slctBushouS2J3"].SetSelectBox(new Array());

  objSettings.WindSetteings["slctSeiryokuS2"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS2J1"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS2J2"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS2J3"].BaseHndl.innerText = " ";

  setResultAll();
}

// 勢力１の１陣の武将を選択した時
function setSlctBushouS1J1()
{
  objSettings.WindSetteings["slctBushouS1J1"].BaseHndl.innerText = objSettings.WindSetteings["slctBushouS1J1"].getSelectedLabel();

  var aryTmp = objSettings.WindSetteings["slctBushouS1J1"].AryLabel.slice(0);
  aryTmp.splice(objSettings.WindSetteings["slctBushouS1J1"].WindHndl.selectedIndex, 1);
  objSettings.WindSetteings["slctBushouS1J2"].SetSelectBox(aryTmp);

  objSettings.WindSetteings["slctBushouS1J3"].SetSelectBox(new Array());

  objSettings.WindSetteings["slctBushouS1J2"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS1J3"].BaseHndl.innerText = " ";

  setResultAll();
}

// 勢力１の２陣の武将を選択した時
function setSlctBushouS1J2()
{
  objSettings.WindSetteings["slctBushouS1J2"].BaseHndl.innerText = objSettings.WindSetteings["slctBushouS1J2"].getSelectedLabel();

  var aryTmp = objSettings.WindSetteings["slctBushouS1J2"].AryLabel.slice(0);
  aryTmp.splice(objSettings.WindSetteings["slctBushouS1J2"].WindHndl.selectedIndex, 1);
  objSettings.WindSetteings["slctBushouS1J3"].SetSelectBox(aryTmp);

  objSettings.WindSetteings["slctBushouS1J3"].BaseHndl.innerText = " ";
  setResultAll();
}

// 勢力１の３陣の武将を選択した時
function setSlctBushouS1J3()
{
  objSettings.WindSetteings["slctBushouS1J3"].BaseHndl.innerText = objSettings.WindSetteings["slctBushouS1J3"].getSelectedLabel();
  setResultAll();
}

// 勢力２を選択した時
function setSlctSeiryokuS2()
{
  objSettings.WindSetteings["slctSeiryokuS2"].BaseHndl.innerText = objSettings.WindSetteings["slctSeiryokuS2"].getSelectedLabel();

  objSettings.WindSetteings["slctBushouS2J1"].SetSelectBox(objSettings.aryDefines[objSettings.WindSetteings["slctSeiryokuS2"].getSelectedLabel()]);
  objSettings.WindSetteings["slctBushouS2J2"].SetSelectBox(new Array());
  objSettings.WindSetteings["slctBushouS2J3"].SetSelectBox(new Array());

  objSettings.WindSetteings["slctBushouS2J1"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS2J2"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS2J3"].BaseHndl.innerText = " ";

  setResultAll();
}

// 勢力２の１陣の武将を選択した時
function setSlctBushouS2J1()
{
  objSettings.WindSetteings["slctBushouS2J1"].BaseHndl.innerText = objSettings.WindSetteings["slctBushouS2J1"].getSelectedLabel();

  var aryTmp = objSettings.WindSetteings["slctBushouS2J1"].AryLabel.slice(0);
  aryTmp.splice(objSettings.WindSetteings["slctBushouS2J1"].WindHndl.selectedIndex, 1);
  objSettings.WindSetteings["slctBushouS2J2"].SetSelectBox(aryTmp);

  objSettings.WindSetteings["slctBushouS2J3"].SetSelectBox(new Array());

  objSettings.WindSetteings["slctBushouS2J2"].BaseHndl.innerText = " ";
  objSettings.WindSetteings["slctBushouS2J3"].BaseHndl.innerText = " ";

  setResultAll();
}

// 勢力２の２陣の武将を選択した時
function setSlctBushouS2J2()
{
  objSettings.WindSetteings["slctBushouS2J2"].BaseHndl.innerText = objSettings.WindSetteings["slctBushouS2J2"].getSelectedLabel();

  var aryTmp = objSettings.WindSetteings["slctBushouS2J2"].AryLabel.slice(0);
  aryTmp.splice(objSettings.WindSetteings["slctBushouS2J2"].WindHndl.selectedIndex, 1);
  objSettings.WindSetteings["slctBushouS2J3"].SetSelectBox(aryTmp);

  objSettings.WindSetteings["slctBushouS2J3"].BaseHndl.innerText = " ";
  setResultAll();
}

// 勢力２の３陣の武将を選択した時
function setSlctBushouS2J3()
{
  objSettings.WindSetteings["slctBushouS2J3"].BaseHndl.innerText = objSettings.WindSetteings["slctBushouS2J3"].getSelectedLabel();
  setResultAll();
}

// 結果表示テーブルをクリックした時にゲーム内へのコピペ用一覧を作成
function setResultAll()
{
  if(isDebugOK)
  {
    DebugWind.value += "Caled setResultAll()\n";
  }
  
  var strS1T1 = "";
  var strS1T2 = "";
  var strS2T1 = "";
  var strS2T2 = "";
  
  // 基本情報部分
  // 勢力１タイプ１
  document.getElementById("spnResSeiryoku1").innerText = objSettings.WindSetteings["slctSeiryokuS1"].getSelectedLabel();
  strS1T1 +=   "対" + objSettings.WindSetteings["slctSeiryokuS2"].getSelectedLabel();
  strS1T1 +=  " " + objSettings.WindSetteings["slctJikan"].BaseHndl.value + "～";
  strS1T1 +=  " " + objSettings.WindSetteings["slctJikanShubetu"].getSelectedLabel();
  strS1T1 +=  "％ｎ";

  // 勢力１タイプ２
  strS1T2 =   "対" + objSettings.WindSetteings["slctSeiryokuS2"].getSelectedLabel();
  strS1T2 +=  " " + objSettings.WindSetteings["slctJikan"].BaseHndl.value + "～";
  strS1T2 +=  " " + objSettings.WindSetteings["slctJikanShubetu"].getSelectedLabel();
  strS1T2 +=  "％ｎ";

  // 勢力２タイプ１
  document.getElementById("spnResSeiryoku2").innerText = objSettings.WindSetteings["slctSeiryokuS2"].getSelectedLabel();
  strS2T1 =   objSettings.WindSetteings["slctSeiryokuS1"].getSelectedLabel() + "対";
  strS2T1 +=  " " + objSettings.WindSetteings["slctJikan"].BaseHndl.value + "～";
  strS2T1 +=  " " + objSettings.WindSetteings["slctJikanShubetu"].getSelectedLabel();
  strS2T1 +=  "％ｎ";

  // 勢力２タイプ２
  strS2T2 =   objSettings.WindSetteings["slctSeiryokuS1"].getSelectedLabel() + "対";
  strS2T2 +=  " " + objSettings.WindSetteings["slctJikan"].BaseHndl.value + "～";
  strS2T2 +=  " " + objSettings.WindSetteings["slctJikanShubetu"].getSelectedLabel();
  strS2T2 +=  "％ｎ";

  // 陣別情報部分
  // １陣目戦場
  if(objSettings.WindSetteings["slctSenjouJ1"].WindHndl.selectedIndex > -1)
  {
    strS1T1 +=  objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ1"].getSelectedLabel()][0];
    strS1T2 +=  objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ1"].getSelectedLabel()][0];
    strS2T1 +=  objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ1"].getSelectedLabel()][1];
    strS2T2 +=  objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ1"].getSelectedLabel()][1];
  }
  // １陣目武将
  strS1T2 +=  "：" + objSettings.WindSetteings["slctBushouS1J1"].getSelectedLabel();
  strS2T2 +=  "：" + objSettings.WindSetteings["slctBushouS2J1"].getSelectedLabel();
//  }

  // ２陣目戦場
  if(objSettings.WindSetteings["slctSenjouJ2"].WindHndl.selectedIndex > -1)
  {
    strS1T1 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ2"].getSelectedLabel()][0];
    strS1T2 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ2"].getSelectedLabel()][0];
    strS2T1 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ2"].getSelectedLabel()][1];
    strS2T2 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ2"].getSelectedLabel()][1];
  }
  // ２陣目武将
  strS1T2 +=  "：" + objSettings.WindSetteings["slctBushouS1J2"].getSelectedLabel();
  strS2T2 +=  "：" + objSettings.WindSetteings["slctBushouS2J2"].getSelectedLabel();

  // ３陣目戦場
  if(objSettings.WindSetteings["slctSenjouJ3"].WindHndl.selectedIndex > -1)
  {
    strS1T1 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ3"].getSelectedLabel()][0];
    strS1T2 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ3"].getSelectedLabel()][0];
    strS2T1 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ3"].getSelectedLabel()][1];
    strS2T2 +=  " " + objSettings.aryDefines[objSettings.WindSetteings["slctSenjouJ3"].getSelectedLabel()][1];
  }
  // ３陣目勢力１武将
  strS1T2 +=  "：" + objSettings.WindSetteings["slctBushouS1J3"].getSelectedLabel();
  strS2T2 +=  "：" + objSettings.WindSetteings["slctBushouS2J3"].getSelectedLabel();


  document.getElementById("spnResAllS1Type1").innerText = strS1T1;
  document.getElementById("spnResAllS1Type2").innerText = strS1T2;
  document.getElementById("spnResAllS2Type1").innerText = strS2T1;
  document.getElementById("spnResAllS2Type2").innerText = strS2T2;

}

